# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pod2man perl(Encode.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define oldname clive
Name:           perl-clive
Version:        2.3.3
Release:        alt1_4
Summary:        Video extraction tool for user-uploaded video hosts

Group:          Video
License:        GPLv3+
URL:            http://clive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{oldname}/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm) perl(Test/Base.pm) perl(Getopt/ArgvFile.pm) perl(JSON/XS.pm) perl(version.pm)
Requires:        perl(Getopt/ArgvFile.pm) perl(JSON/XS.pm) perl(version.pm) quvi curl
Source44: import.info

%description
clive is a video extraction tool for user-uploaded video hosts such as Youtube,
Google Video, Dailymotion, Guba, Metacafe and Sevenload.
It can be chained with 3rd party tools for subsequent video
re-encoding and and playing.

%prep
%setup -n %{oldname}-%{version} -q
# use the correct quvi call
sed -i -e '15s/^.//' -e '13s/^/#/' examples/cliverc

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{oldname}
install -p -m 644 examples/cliverc  $RPM_BUILD_ROOT/%{_sysconfdir}/%{oldname}/config
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
export NO_INTERNET=1
make test


%files
%doc ChangeLog COPYING README examples/cliverc
%dir %{_sysconfdir}/%{oldname}
%{_bindir}/%{oldname}
%{_mandir}/man1/%{oldname}.1*
%config(noreplace) %{_sysconfdir}/%{oldname}/config


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.3-alt1_4
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.3.3-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 2.3.3-alt1_1
- fc import

